include ../Makefile.common

CXXFLAGS := -Iinclude $(CXXFLAGS)
OBJ += $(patsubst %.cpp,%.o,$(wildcard squirrel/*.cpp))
LIBNAME = libsquirrel.a

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archive $@ 
	@ar -csru $@ $(OBJ)
	@echo

clean:
	-@$(RM) squirrel$(SLASH)*.o
	-@$(RM) squirrel$(SLASH)*.d
	-@$(RM) $(LIBNAME)
